RKGETLEX(3)

NAME
RkGetLex - get morphemic information on each word that makes up the current candidate

SYNOPSIS
#include <canna/RK.h>
int RkGetLex(cxnum, lex, maxlex)
int cxnum;
RkLex *lex;
int maxlex;

DESCRIPTION
RkGetLex gets morphemic information on each word that makes up the current candidate, and stores it in the array lex in sequence from the left. Right-side word information is truncated when the number of words exceeds maxlex.

The fields of the structure lex are loaded with the following:

    ylen
        Byte length of the reading of a word

    klen
        Byte length of the kanji of the word

    rownum
        Row number of the word

    coldnum
        Column number of the word

    dicnum
        Not used

RETURN VALUE
This function returns -1, without doing anything, if it has been run in a nonconversion mode context.